#***********************************************************************
#*                                                                     *
#*  VisualAge for C++ for Windows, Version 3.5                         *
#*    Licensed Material - Property of IBM                              *
#*                                                                     *
#*  5801-ARR and Other Materials                                       *
#*                                                                     *
#*  (c) Copyright IBM Corp 1996. All rights reserved.                  *
#*                                                                     *
#***********************************************************************


#############
LC_CTYPE
#############

upper     <A>;...;<Z>

lower     <a>;...;<z>

space     <tab>;\
          <newline>;\
          <vertical-tab>;\
          <form-feed>;\
          <carriage-return>;\
          <space>

cntrl     <NUL>;...;<US>;\
          <VTS>;\
          <PLU>;\
          <RI>;\
          <SS2>;\
          <SS3>;\
          <DCS>;\
          <SCI>;\
          <ST>;\
          <OSC>;\
          <PM>;\
          <APC>;\
          <DEL>

graph     <exclamation-mark>;...;<tilde>;\
          <Left-Lower-Single-Quote>;\
          <Florin-Sign>;\
          <Left-Lower-Double-Quotes>;\
          <Ellipsis>;\
          <Dagger>;\
          <Double-Dagger>;\
          <Circumflex-Accent-Over-Small>;\
          <Permille-Symbol>;\
          <Left-Angle-Single-Quote>;\
          <Left-Single-Quote>;\
          <Right-Single-Quote>;\
          <Left-Double-Quotes>;\
          <Right-Double-Quotes>;\
          <En-Dash>;\
          <Em-Dash>;\
          <Tilde-Accent-Over-Small>;\
          <Trademark-Symbol-Serif>;\
          <Right-Angle-Single-Quote>;\
          <New-Sheqel-Sign>;\
          <Macron-Accent>;\
          <Middle-Dot>;\
          <Left-To-Right-Mark-Zero-Width>;\
          <Right-To-Left-Mark-Zero-Width>;\
          <alef>;...;<taf>;\
          <sterling>;\
          <registered>;...;<one-quarter>;\
          <copyright>;\
          <mu>;\
          <(H)-Point-Sheva-Non-Spacing>;\
          <(H)-Point-Hataf-Segol-NoSpace>;\
          <(H)-Point-Hataf-Patah-NoSpace>;\
          <(H)Point-Hataf-Qamats-NoSpace>;\
          <(H)-Point-Hiriq-Non-Spacing>;\
          <(H)-Point-Tsere-Non-Spacing>;\
          <(H)-Point-Segol-Non-Spacing>;\
          <(H)-Point-Patah-Non-Spacing>;\
          <(H)-Point-Qamats-Non-Spacing>;\
          <(H)-Point-Holam-Non-Spacing>;\
          <(H)-Point-Qubuts-Non-Spacing>;\
          <(H)Point-Dagesh/Mapiq-NoSpace>;\
          <(H)-Point-Meteg-Non-Spacing>;\
          <(H)-Punctuation-Maqaf>;\
          <(H)-Point-Rafe-Non-Spacing>;\
          <(H)-Punctuation-Paseq>;\
          <(H)-Point-Shin-Dot-No-Space>;\
          <(H)-Point-Sin-Dot-Non-Spacing>;\
          <(H)-Punctuation-Sof-Pasuq>;\
          <(H)ligature-Yiddish-DoubleVav>;\
          <(H)-ligature-Yiddish-Vav-Yod>;\
          <(H)ligature-Yiddish-DoubleYod>

print     <space>;...;<tilde>;\
          <Left-Lower-Single-Quote>;\
          <Florin-Sign>;\
          <Left-Lower-Double-Quotes>;\
          <Ellipsis>;\
          <Dagger>;\
          <Double-Dagger>;\
          <Circumflex-Accent-Over-Small>;\
          <Permille-Symbol>;\
          <Left-Angle-Single-Quote>;\
          <Left-Single-Quote>;\
          <Right-Single-Quote>;\
          <Left-Double-Quotes>;\
          <Right-Double-Quotes>;\
          <En-Dash>;\
          <Em-Dash>;\
          <Tilde-Accent-Over-Small>;\
          <Trademark-Symbol-Serif>;\
          <Right-Angle-Single-Quote>;\
          <New-Sheqel-Sign>;\
          <Macron-Accent>;\
          <Middle-Dot>;\
          <Left-To-Right-Mark-Zero-Width>;\
          <Right-To-Left-Mark-Zero-Width>;\
          <alef>;...;<taf>;\
          <sterling>;\
          <registered>;...;<one-quarter>;\
          <copyright>;\
          <guillemot-left>;\
          <mu>;\
          <(H)-Point-Sheva-Non-Spacing>;\
          <(H)-Point-Hataf-Segol-NoSpace>;\
          <(H)-Point-Hataf-Patah-NoSpace>;\
          <(H)Point-Hataf-Qamats-NoSpace>;\
          <(H)-Point-Hiriq-Non-Spacing>;\
          <(H)-Point-Tsere-Non-Spacing>;\
          <(H)-Point-Segol-Non-Spacing>;\
          <(H)-Point-Patah-Non-Spacing>;\
          <(H)-Point-Qamats-Non-Spacing>;\
          <(H)-Point-Holam-Non-Spacing>;\
          <(H)-Point-Qubuts-Non-Spacing>;\
          <(H)Point-Dagesh/Mapiq-NoSpace>;\
          <(H)-Point-Meteg-Non-Spacing>;\
          <(H)-Punctuation-Maqaf>;\
          <(H)-Point-Rafe-Non-Spacing>;\
          <(H)-Punctuation-Paseq>;\
          <(H)-Point-Shin-Dot-No-Space>;\
          <(H)-Point-Sin-Dot-Non-Spacing>;\
          <(H)-Punctuation-Sof-Pasuq>;\
          <(H)ligature-Yiddish-DoubleVav>;\
          <(H)-ligature-Yiddish-Vav-Yod>;\
          <(H)ligature-Yiddish-DoubleYod>

punct     <exclamation-mark>;...;<slash>;\
          <colon>;...;<commercial-at>;\
          <left-square-bracket>;...;<grave-accent>;\
          <left-brace>;...;<tilde>;\
          <Left-Lower-Single-Quote>;\
          <Left-Lower-Double-Quotes>;\
          <Left-Angle-Single-Quote>;\
          <Left-Single-Quote>;\
          <Right-Single-Quote>;\
          <Left-Double-Quotes>;\
          <Right-Double-Quotes>;\
          <Right-Angle-Single-Quote>

digit     <zero>;...;<nine>

xdigit    <zero>;...;<nine>;\
          <A>;...;<F>;\
          <a>;...;<f>

blank     <space>;\
          <tab>

alpha     <alef>;...;<taf>

toupper (<a>,<A>);(<b>,<B>);(<c>,<C>);(<d>,<D>);(<e>,<E>);\
        (<f>,<F>);(<g>,<G>);(<h>,<H>);(<i>,<I>);(<j>,<J>);\
        (<k>,<K>);(<l>,<L>);(<m>,<M>);(<n>,<N>);(<o>,<O>);\
        (<p>,<P>);(<q>,<Q>);(<r>,<R>);(<s>,<S>);(<t>,<T>);\
        (<u>,<U>);(<v>,<V>);(<w>,<W>);(<x>,<X>);(<y>,<Y>);\
        (<z>,<Z>)

END LC_CTYPE

#############
LC_COLLATE
#############

order_start

<NUL>
<SOH>
<STX>
<ETX>
<EOT>
<ENQ>
<ACK>
<alert>
<backspace>
<tab>
<newline>
<vertical-tab>
<form-feed>
<carriage-return>
<SO>
<SI>
<DLE>
<DC1>
<DC2>
<DC3>
<DC4>
<NAK>
<SYN>
<ETB>
<CAN>
<EM>
<SUB>
<ESC>
<IFS>
<GS>
<RS>
<US>
<VTS>
<PLU>
<RI>
<SS2>
<SS3>
<DCS>
<SCI>
<ST>
<OSC>
<PM>
<APC>
<DEL>
<space>
<underscore>
<shy>
<hyphen>
<comma>
<semicolon>
<colon>
<exclamation-mark>
<question-mark>
<slash>
<period>
<acute>
<grave-accent>
<circumflex-accent>
<diaresis>
<tilde>
<apostrophe>
<quotation-mark>
<guillemot-left>
<guillemot-right>
<left-parenthesis>
<right-parenthesis>
<left-square-bracket>
<right-square-bracket>
<left-brace>
<right-brace>
<dot>
<section>
<paragraph>
<copyright>
<registered>
<commercial-at>
<cent>
<dollar-sign>
<sterling>
<yen>
<asterisk>
<backslash>
<ampersand>
<number-sign>
<percent-sign>
<plus-sign>
<plus-minus>
<less-than-sign>
<equals-sign>
<greater-than-sign>
<not>
<vertical-line>
<broken-bar>
<degree>
<mu>
<Left-Lower-Single-Quote>
<Florin-Sign>
<Left-Lower-Double-Quotes>
<Ellipsis>
<Dagger>
<Double-Dagger>
<Circumflex-Accent-Over-Small>
<Permille-Symbol>
<Left-Angle-Single-Quote>
<Left-Single-Quote>
<Right-Single-Quote>
<Left-Double-Quotes>
<Right-Double-Quotes>
<En-Dash>
<Em-Dash>
<Tilde-Accent-Over-Small>
<Trademark-Symbol-Serif>
<Right-Angle-Single-Quote>
<New-Sheqel-Sign>
<Macron-Accent>
<Middle-Dot>
<nobreakspace>
<zero>
<one-quarter>
<one-half>
<three-quarters>
<one>
<one-superior>
<two>
<two-superior>
<three>
<three-superior>
<four>
<five>
<six>
<seven>
<eight>
<nine>
<a>
<A>
<b>
<B>
<c>
<C>
<d>
<D>
<e>
<E>
<f>
<F>
<g>
<G>
<h>
<H>
<i>
<I>
<j>
<J>
<k>
<K>
<l>
<L>
<m>
<M>
<n>
<N>
<o>
<O>
<p>
<P>
<q>
<Q>
<r>
<R>
<s>
<S>
<t>
<T>
<u>
<U>
<v>
<V>
<w>
<W>
<x>
<X>
<y>
<Y>
<z>
<Z>
<alef>
<bet>
<gimmel>
<dallet>
<heh>
<vav>
<zain>
<chet>
<tet>
<yod>
<kaf-final>
<kaf>
<lammed>
<mem-final>
<mem>
<nun-final>
<nun>
<samech>
<ain>
<pe-final>
<pe>
<zadi-final>
<zadi>
<kof>
<resh>
<shin>
<taf>
<(H)-Point-Sheva-Non-Spacing>
<(H)-Point-Hataf-Segol-NoSpace>
<(H)-Point-Hataf-Patah-NoSpace>
<(H)Point-Hataf-Qamats-NoSpace>
<(H)-Point-Hiriq-Non-Spacing>
<(H)-Point-Tsere-Non-Spacing>
<(H)-Point-Segol-Non-Spacing>
<(H)-Point-Patah-Non-Spacing>
<(H)-Point-Qamats-Non-Spacing>
<(H)-Point-Holam-Non-Spacing>
<(H)-Point-Qubuts-Non-Spacing>
<(H)Point-Dagesh/Mapiq-NoSpace>
<(H)-Point-Meteg-Non-Spacing>
<(H)-Punctuation-Maqaf>
<(H)-Point-Rafe-Non-Spacing>
<(H)-Punctuation-Paseq>
<(H)-Point-Shin-Dot-No-Space>
<(H)-Point-Sin-Dot-Non-Spacing>
<(H)-Punctuation-Sof-Pasuq>
<(H)ligature-Yiddish-DoubleVav>
<(H)-ligature-Yiddish-Vav-Yod>
<(H)ligature-Yiddish-DoubleYod>
<Left-To-Right-Mark-Zero-Width>
<Right-To-Left-Mark-Zero-Width>

order_end


END LC_COLLATE

#############
LC_MONETARY
#############

int_curr_symbol   "<N><I><S><space>"
currency_symbol   "<chet><shin>"
mon_decimal_point "<period>"
mon_thousands_sep "<comma>"
mon_grouping      "3;0"
positive_sign     ""
negative_sign     "<hyphen>"
int_frac_digits   2
frac_digits       2
p_cs_precedes     1
p_sep_by_space    1
n_cs_precedes     1
n_sep_by_space    1
p_sign_posn       2
n_sign_posn       2
debit_sign        "<D><B>"
credit_sign       "<C><R>"
left_parenthesis  "<left-parenthesis>"
right_parenthesis "<right-parenthesis>"

END LC_MONETARY


#############
LC_NUMERIC
#############

decimal_point     "<period>"
thousands_sep     "<comma>"
grouping          "3;0"

END LC_NUMERIC


#############
LC_TIME
#############
abday   "<apostrophe><alef>";\
        "<apostrophe><bet>";\
        "<apostrophe><gimmel>";\
        "<apostrophe><dallet>";\
        "<apostrophe><heh>";\
        "<apostrophe><vav>";\
        "<apostrophe><shin>"

day     "<nun-final><vav><shin><alef><resh>";\
        "<yod><nun><shin>";\
        "<yod><shin><yod><lammed><shin>";\
        "<yod><ain><yod><bet><resh>";\
        "<yod><shin><yod><mem><chet>";\
        "<yod><shin><shin>";\
        "<taf><bet><shin>"

abmon   "<vav><nun><yod>";\
        "<resh><bet><pe>";\
        "<zadi-final><resh><mem>";\
        "<resh><pe><alef>";\
        "<yod><alef><mem>";\
        "<nun><vav><yod>";\
        "<lammed><vav><yod>";\
        "<gimmel><vav><alef>";\
        "<tet><pe><samech>";\
        "<kof><vav><alef>";\
        "<bet><vav><nun>";\
        "<mem><zadi><dallet>"

mon     "<resh><alef><vav><nun><yod>";\
        "<resh><alef><vav><resh><bet><pe>";\
        "<zadi-final><resh><mem>";\
        "<lammed><yod><resh><pe><alef>";\
        "<yod><alef><mem>";\
        "<yod><nun><vav><yod>";\
        "<yod><lammed><vav><yod>";\
        "<tet><samech><vav><gimmel><vav><alef>";\
        "<resh><bet><mem><tet><pe><samech>";\
        "<resh><bet><vav><tet><kof><vav><alef>";\
        "<resh><bet><mem><bet><vav><nun>";\
        "<resh><bet><mem><zadi><dallet>"

d_t_fmt "%Z %H:%M:%S %Y %b %d %a"

d_fmt   "%d/%m/%y"

t_fmt   "%H:%M:%S"


am_pm   "<A><M>";"<P><M>"

END LC_TIME


#############
LC_MESSAGES
#############

yesexpr "[yY][[:alpha:]]*|[[:alpha:]]*<kaf>"
noexpr  "[nN][[:alpha:]]*|[[:alpha:]]*<lammed>"

END LC_MESSAGES

